# $Revision: 1.9 $, $Date: 2008/07/27 22:56:14 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	TFTP
Summary:	TFTP - pure Perl TFTP implementation
Summary(pl.UTF-8):	TFTP - czysto perlowa implementacja TFTP
Name:		perl-TFTP
Version:	1.0b3
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	0c62ec431f745ca177ab01df3292c803
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl module (completely implemented in Perl) to provide the
client functionality of the TFTP protocol as described in RFC 783. A
class, TFTP, is available which encapsulates the persistent aspects of
a TFTP connection and from which the basic TFTP operations (get, put)
can be initiated.

%description -l pl.UTF-8
To jest moduł Perla (zaimplementowany całkowicie w Perlu)
dostarczający funkcjonalność klienta protokołu TFTP opisanego w RFC
783. Zawiera klasę TFTP opakowującą stałe aspekty połączenia TFTP,
która może zapoczątkowywać podstawowe operacje TFTP (get, put).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/TFTP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-TFTP.spec,v $
Revision 1.9  2008/07/27 22:56:14  arekm
- release 3

Revision 1.8  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:46  paladine
- formatting

Revision 1.5  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.4  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.3  2004/04/13 06:58:27  ankry
- cosmetics

Revision 1.2  2004/04/12 01:28:47  qboosh
- pl, doc, noarch

Revision 1.1  2004/04/11 13:20:38  agaran
new spec
